<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_4ae48f0b4a26d39f5b586b" . "01beb33fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zI" . "Ch1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKG" . "ludDp1X2lkLCBpbnQ6cF9pZCwgaW50Om9uY2Up"), "_53bfc51e054c" . "55b09ffaa67e3" . "5743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1c2VyX2lkPWludDp1X2lkIE" . "FORCBwYWdlX2lkPWludDp1X2lk"), "_ffc655ae461b838dffa45517" . "84bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgd" . "XNlcl9pZD1pbnQ6dV9pZCBBTkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_e656e7cb7f4bfc035" . "dd97e8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlz" . "aF9ub3RpZmljYXRpb25zIFdI" . "RVJFIHVzZXJfaWQ9aW50OnVf" . "aWQ="), "_48467b7a05f92d5ee95d490c490" . "118d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYX" . "Rpb25zIFdIRVJFIHBhZ2VfaWQ9aW50OnBfaWQ="), "_c06c961f393742ecfd52b72" . "263ac9470" => base64_decode("aW50" . "dmFs"), "_11bb4e3dc1e3624a6ec" . "b56860f9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgc" . "GFnZV9pZD1pbnQ6cF9pZA=="), "_2563c0d294fc620892" . "28d12c57f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvb" . "nMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2lkIEFORCBwYWdlX2" . "lkID0gaW50OnBfaWQ="), "_b1dd56266fec1e595c364" . "d7bfc1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucy" . "BTRVQgdXNlcl9pZD1pbnQ6bmV3X2lkIFdIRVJF" . "IHVzZXJfaWQ9aW50OnVfaWQ="), "_b707d4367ddd" . "e579d81c047d5" . "44710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50OnV" . "faWQgQU5EIHBhZ2VfaWQ9aW50OnBfaWQ="), "_20a787300c0455250233fd0" . "6fa0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmlj" . "YXRpb25zIFdIRVJFIHVzZXJfaWQgSU4gaW46" . "aW50OnVzZXJzIEFORCBwYWdlX2lkPWludDpw" . "X2lkIEFORCBvbmNlID0gMQ=="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c06c961f3937" . "42ecfd52b7226" . "3ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2563c0d29" . "4fc6208922" . "8d12c57f6d" . "a77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_53bfc51e054c55b09" . "ffaa67e35743c96"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_c06c961f393742ecfd52b7" . "2263ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4ae48f0b4a26d39f5b586b01beb" . "33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c06c961f393742" . "ecfd52b72263ac9" . "470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b707d4367ddde579d81c047d544710" . "e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_20a787300c0455250233fd06fa0384" . "f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_48467b7a05f92d5e" . "e95d490c490118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e656e7cb7f" . "4bfc035dd97" . "e8a7055b847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b1dd56266fec1e59" . "5c364d7bfc1254cb"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ffc655ae461b838dff" . "a4551784bacfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_11bb4e3dc1e3624" . "a6ecb56860f9dead" . "0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}